> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Discovered Assets

> Retrieve the list summarized properties for discovered assets belonging to  an organization, considering filtering and pagination query parameters.
Additional query parameters generally restrict the resulting set of assets according to AND semantics.




## OpenAPI

````yaml /asset-v2-openapi.yaml get /v2/organizations/{organizationUid}/discovered-assets
openapi: 3.0.3
info:
  title: Asset Service
  version: 2.1.020
  contact:
    name: Synack Engineering
    email: engineering@synack.com
servers:
  - url: https://client.synack.com/api/asset
    description: Commercial
  - url: https://client.synack.us/api/asset
    description: FedRAMP (Medium)
security: []
tags:
  - name: asset-relationships
    description: Relationships between assets.
  - name: Assets
    description: Assets managed by Synack.
  - name: cloudaccounts
    description: Cloud account assets.
  - name: credentials
    description: Credentials are restricted to authorized users.
  - name: Hosts
    description: Host assets.
  - name: Assessments
    description: Assets are associated with listings.
  - name: mobileapps
    description: Mobile application assets.
  - name: networks
    description: Network assets.
  - name: ports
    description: Ports for single host assets.
  - name: scoperules
    description: >-
      Scope-rules provide fine grained control for what is in and out of scope
      for an asset.
  - name: scripts
    description: Scripts for mobile and web applications.
  - name: userroles
    description: Defines persona-specific user roles for asset credential management.
  - name: users
    description: Users of credentials.
  - name: webapps
    description: Web application assets.
paths:
  /v2/organizations/{organizationUid}/discovered-assets:
    get:
      tags:
        - Assets
        - cloudaccounts
        - Hosts
        - mobileapps
        - networks
        - webapps
      description: >
        Retrieve the list summarized properties for discovered assets belonging
        to  an organization, considering filtering and pagination query
        parameters.

        Additional query parameters generally restrict the resulting set of
        assets according to AND semantics.
      operationId: getDiscoveredAssetSummaries
      parameters:
        - $ref: '#/components/parameters/OrganizationUIDPath'
        - $ref: '#/components/parameters/ListingUIDQuery'
        - $ref: '#/components/parameters/AssetTypeQuery'
        - $ref: '#/components/parameters/HostTypeQuery'
        - in: query
          name: seedUid[]
          schema:
            $ref: '#/components/schemas/SeedUID'
          required: false
          description: >-
            Restrict the returned asset summaries to only those discovered from
            provided seed identifier.
        - in: query
          name: search
          schema:
            type: string
          required: false
          description: >
            Optional query parameter for a search string that will be used to
            match within the label or location properties of assets. If this
            query parameter is provided, any location query parameter will be
            ignored.
        - $ref: '#/components/parameters/PerPageQuery'
        - $ref: '#/components/parameters/PageQuery'
        - in: query
          name: sort
          schema:
            type: string
            enum:
              - location
              - label
              - createdAt
              - updatedAt
              - lastReachableAt
          description: Optional property to sort results by.
          required: false
        - $ref: '#/components/parameters/SortDirQuery'
      responses:
        '200':
          $ref: '#/components/responses/PaginatedDiscoveredAssetsResponse'
        '400':
          $ref: '#/components/responses/400BadRequest'
        '401':
          $ref: '#/components/responses/401Unauthorized'
        '403':
          $ref: '#/components/responses/403Forbidden'
        '500':
          $ref: '#/components/responses/500InternalServerError'
        '503':
          $ref: '#/components/responses/503ServiceUnavailable'
      security:
        - OAuth2:
            - asset_gr
            - asset_or
            - asset_lr
            - asset_srt_lr
            - asset_scan_gr
components:
  parameters:
    OrganizationUIDPath:
      name: organizationUid
      in: path
      schema:
        $ref: '#/components/schemas/OrganizationUID'
      required: true
      description: Unique identifier for an organization.
    ListingUIDQuery:
      name: listingUid[]
      in: query
      explode: true
      schema:
        type: array
        items:
          $ref: '#/components/schemas/ListingUID'
      required: false
      description: >-
        Unique identifier for an listing. If not supplied the request will apply
        to all listings the user is authorized to access.
    AssetTypeQuery:
      name: assetType[]
      in: query
      schema:
        type: array
        items:
          $ref: '#/components/schemas/AssetType'
      required: false
      explode: true
      description: >-
        Restrict the returned asset summaries to only assets of the specified
        type.
    HostTypeQuery:
      name: hostType[]
      in: query
      schema:
        type: array
        items:
          $ref: '#/components/schemas/HostType'
      required: false
      explode: true
      description: >
        Restrict the returned asset summaries to only the types of host assets
        requested when assetType also includes host.
    PerPageQuery:
      name: perPage
      in: query
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 5000
      required: false
      description: >
        Requested page size for pagination. A server-selected default of 100
        will be used when no perPage is requested via query parameter.
    PageQuery:
      name: page
      in: query
      schema:
        type: integer
        format: int32
        minimum: 1
      required: false
      description: >
        Page to retrieve in paginated response. A server-selected default of 1
        will be used when no page is requested via query parameter.
    SortDirQuery:
      name: sortDir
      in: query
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
      required: false
      description: Direction of sort-order for items in the response.
  schemas:
    SeedUID:
      type: string
      pattern: ^[-_0-9a-z]{1,50}
      description: Unique identifier for an E-ASM seed.
      readOnly: true
    OrganizationUID:
      type: string
      pattern: ^[-_0-9a-z]{1,50}
      description: Unique identifier for an organization.
    ListingUID:
      type: string
      pattern: ^[-_0-9a-z]{1,50}
      description: Unique identifier for an listing.
      readOnly: true
    AssetType:
      type: string
      enum:
        - cloudaccount
        - host
        - network
        - mobileapp
        - webapp
    HostType:
      type: string
      enum:
        - ip
        - cidr
        - fqdn
        - as
    DiscoveredAssetsPage:
      type: object
      properties:
        totalByStatus:
          $ref: '#/components/schemas/DiscoveredAssetsTotals'
        discoveredAssets:
          $ref: '#/components/schemas/ArrayOfAssetSummaries'
    ProblemDetails:
      type: object
      description: >-
        See [RFC 7807: Problem Details for HTTP
        APIs](https://tools.ietf.org/html/rfc7807)
      properties:
        type:
          type: string
          readOnly: true
        title:
          type: string
          readOnly: true
        status:
          type: integer
          format: int32
          minimum: 100
          maximum: 511
          description: HTTP Status code.
          readOnly: true
        detail:
          type: string
          description: Message detailing the problem.
          readOnly: true
        instance:
          type: string
          description: generated problem instance number to correlate with logs
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
        failedValidations:
          type: array
          description: Array of indexed failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/IndexedFailedValidations'
        maxBatchSize:
          type: integer
          description: Maximum processable batch size.
          readOnly: true
        batchSize:
          type: integer
          description: Batch size sent when batch is too large.
          readOnly: true
    DiscoveredAssetsTotals:
      type: object
      properties:
        all:
          type: number
          readOnly: true
        unconfirmed:
          type: number
          readOnly: true
        inTriage:
          type: number
          readOnly: true
        triaged:
          type: number
          readOnly: true
        confirmed:
          type: number
          readOnly: true
        rejected:
          type: number
          readOnly: true
    ArrayOfAssetSummaries:
      type: array
      items:
        $ref: '#/components/schemas/AssetSummary'
    FailedValidation:
      type: object
      required:
        - message
      properties:
        property:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
    IndexedFailedValidations:
      type: object
      properties:
        index:
          type: integer
          description: >-
            Zero-based index indicating the which item in request containing an
            array of items has failed validation.
          readOnly: true
        failedValidation:
          type: array
          description: Array of failed validation rules.
          readOnly: true
          items:
            $ref: '#/components/schemas/FailedValidation'
    AssetSummary:
      allOf:
        - type: object
          properties:
            uid:
              $ref: '#/components/schemas/UID'
            organizationUid:
              $ref: '#/components/schemas/OrganizationUID'
            location:
              type: string
              readOnly: true
              description: >-
                Derived human-readable text representation of the asset, based
                on assetType and other properties.
            assetType:
              $ref: '#/components/schemas/AssetType'
              description: Derived from the properties associated with the asset.
              readOnly: true
            label:
              type: string
              description: >-
                Optional label for the asset. If present, label is part of the
                derived property of asset location, which enables creation of
                multiple assets with different labels under a single
                organization.
            origin:
              $ref: '#/components/schemas/AssetOrigin'
            changeStatus:
              $ref: '#/components/schemas/AssetChangeStatus'
            providerName:
              description: >-
                Name of the cloud or hosting provider according to
                fingerprinting.
              type: string
              readOnly: true
            lastCheckedAt:
              type: string
              format: date-time
              description: The last date time the credential was checked.
            lastReachableAt:
              type: string
              format: date-time
              description: >-
                The last date time the asset was successfully checked for
                reachability.
            lastSuccessfulScan:
              type: string
              format: date-time
              description: The last date time the asset scan was successful.
            lastFailedScan:
              type: string
              format: date-time
              description: The last date time the asset scan was failed.
            firstSeen:
              type: string
              format: date-time
              description: >
                For assets with an origin of discovered. The date time when the
                asset was first discovered.
            lastSeen:
              type: string
              format: date-time
              description: >
                For assets with an origin of discovered. The date time when the
                asset was last discovered or fingerprinted.
            status:
              $ref: '#/components/schemas/CheckerStatus'
            errorCode:
              $ref: '#/components/schemas/ErrorCode'
            listings:
              description: Array of listings the asset belongs to.
              readOnly: true
              type: array
              items:
                $ref: '#/components/schemas/AssetListing'
            relatedAssets:
              description: >-
                Relationships which this asset participates in, either as a
                source or as a target.
              readOnly: true
              type: array
              items:
                $ref: '#/components/schemas/ArrayOfRelatedAssets'
        - $ref: '#/components/schemas/Updatable'
    UID:
      type: string
      pattern: ^[0-9a-f]{12}
      readOnly: true
      description: Unique Identifier.
    AssetOrigin:
      type: string
      description: >-
        Indicates the origin for the asset, i.e. whether the asset was provided
        manually or it was discovered by some sort of automation.
      default: provided
      enum:
        - provided
        - discovered
    AssetChangeStatus:
      type: string
      description: >-
        Indicates whether the asset is newly discovered, has changed since last
        evaluated, or is unchanged.
      default: unchanged
      enum:
        - new
        - changed
        - unchanged
    CheckerStatus:
      type: string
      enum:
        - unchecked
        - invalid
        - valid
      description: Status reported by automated checkers.
    ErrorCode:
      type: integer
      format: int32
      description: >-
        Optional numeric error code set by an automated process such as scanning
        or checking.
    AssetListing:
      type: object
      description: Listings the asset is assigned to.
      properties:
        listingUid:
          $ref: '#/components/schemas/ListingUID'
        scope:
          $ref: '#/components/schemas/Scope'
        scopeRules:
          description: Out of scope locations for this asset.
          type: array
          items:
            $ref: '#/components/schemas/ScopeRule'
        createdAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            Automatically set by the server to the time the listing asset
            association was created.
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            Automatically set by the server to the time the listing asset
            association is updated.
    ArrayOfRelatedAssets:
      type: array
      items:
        $ref: '#/components/schemas/RelatedAsset'
    Updatable:
      allOf:
        - $ref: '#/components/schemas/Creatable'
        - type: object
          properties:
            updatedAt:
              type: string
              format: date-time
              readOnly: true
              description: >-
                Automatically set by the server to the time the request was
                processed whenever the resource is updated.
            updatedBy:
              $ref: '#/components/schemas/OperationUserUID'
    Scope:
      description: >
        Set to _in_-scope means automated and manual testing _should_ occur;
        _out_-of-scope means automated and manual testing _must not_ occur;
        _discovered_ means observed through automated discovery and may be
        automatically removed if not observed again during subseqent discovery
        activities.
      type: string
      enum:
        - in
        - out
        - discovered
        - blocked
    ScopeRule:
      allOf:
        - $ref: '#/components/schemas/ScopeRuleSummary'
        - $ref: '#/components/schemas/Updatable'
    RelatedAsset:
      type: object
      properties:
        assetUid:
          $ref: '#/components/schemas/UID'
        assetType:
          $ref: '#/components/schemas/AssetType'
        location:
          type: string
          description: >
            Derived human-readable text representation of the asset, based on
            assetType and other properties.
          readOnly: true
        label:
          type: string
          description: >
            Optional label for the asset. If present, label is part of the
            derived property of asset location, which enables creation of
            multiple assets with different labels under a single organization.
          readOnly: true
    Creatable:
      type: object
      required:
        - createdAt
        - createdBy
      properties:
        createdAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            Automatically set by the server to the time the request was
            processed whenever the resource was created.
        createdBy:
          $ref: '#/components/schemas/OperationUserUID'
    OperationUserUID:
      type: string
      pattern: ^[0-9a-f]{12}
      readOnly: true
      description: >-
        Automatically set by the server to the requesting user whenever the
        resource is updated. May be a user account or a service account if the
        action is performed by an automated.
    ScopeRuleSummary:
      type: object
      description: >-
        Part of the scope of an asset that is included/excluded from a specific
        activity.
      required:
        - uid
        - rule
        - scope
        - appliesTo
      properties:
        uid:
          $ref: '#/components/schemas/UID'
        rule:
          $ref: '#/components/schemas/WebRULE'
          description: >-
            A textual definition of the scope rule. Format will vary by
            assetType.
        scope:
          $ref: '#/components/schemas/ScopeRuleInclusion'
        appliesTo:
          $ref: '#/components/schemas/ScopeRuleApplicability'
    WebRULE:
      type: string
      pattern: >-
        ^(/([a-zA-Z0-9_-~!$&'()+,;=:@.]|%[0-9a-fA-F]{2})+/)*(/?((([A-z]|[0-9]|[-_~])|%[0-9a-fA-F]{2}|[!$&'()*+,;=]|[:@])|[/?])*){0,1}//(#((([A-z]|[0-9]|[-_~.])|%[0-9a-fA-F]{2}|[!$&'()*+,;=]|[:@])|[/?])*){0,1}/?$
      description: Rule for web asset validation
    ScopeRuleInclusion:
      type: string
      enum:
        - in
        - out
    ScopeRuleApplicability:
      type: string
      enum:
        - scanners
        - srt
        - both
  responses:
    PaginatedDiscoveredAssetsResponse:
      description: Paginated discovered asset summaries.
      headers:
        Pagination-Limit:
          $ref: '#/components/headers/PaginationLimit'
        Pagination-Current-Page:
          $ref: '#/components/headers/PaginationCurrentPage'
        Pagination-Total-Pages:
          $ref: '#/components/headers/PaginationTotalPages'
        Pagination-Total-Count:
          $ref: '#/components/headers/PaginationTotalCount'
        Link:
          $ref: '#/components/headers/Link'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DiscoveredAssetsPage'
    400BadRequest:
      description: Bad Request
    401Unauthorized:
      description: Unauthorized.
    403Forbidden:
      description: Forbidden
    500InternalServerError:
      description: Internal Server Error.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
    503ServiceUnavailable:
      description: Service Unavailable.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  headers:
    PaginationLimit:
      description: Maximum number of items returned in a paginated response.
      schema:
        type: integer
        format: int32
        minimum: 1
    PaginationCurrentPage:
      description: Current page in a paginated response.
      schema:
        type: integer
        format: int32
        minimum: 1
    PaginationTotalPages:
      description: Total number of pages in a paginated response.
      schema:
        type: integer
        format: int32
        minimum: 1
    PaginationTotalCount:
      description: Total number of items in all pages of a paginated response.
      schema:
        format: int32
        minimum: 1
    Link:
      description: Standard link header.
      schema:
        type: string
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: login.synack.com
          scopes:
            asset_lr: Grants per-listing read access for all types of assets.
            asset_srt_lr: Grants per-listing read access to assets that may be read by SRTs.
            asset_or: >-
              Grants organization-level read access for all types of assets
              owned by a particular organization.
            asset_boss_ow: >-
              Grants organization-level access to assets owned by a particular
              organization that may be modified by BOSS users.
            asset_boss_lw: >-
              Grants per-listing write access to assets that may be modified by
              BOSS users.
            asset_client_ow: >-
              Grants organization-level access to assets owned by a particular
              organization that may be modified by Client users.
            asset_client_lw: >-
              Grants per-listing write access to assets that may be modified by
              Client users.
            asset_user_or: >-
              Grants user-level read access to asset stats that owned by a
              particular organization.
            asset_gr: >-
              Grants unrestricted read access to all assets. Except for
              credential data of cloud accout assets.
            asset_gw: Grants unrestricted write access to all assets.
            asset_scan_gr: >-
              Grants unrestricted read access to all assets. Including
              credential data of cloud account assets.

````